POST api/NTCosCompany/SaveCorporationConfigurationAnswer
Request Information
URI Parameters
None.
Body Parameters
CorporationConfigurationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| Key | string |
String length: inclusive between 0 and 100 |
|
| Value | string |
String length: inclusive between 0 and 100 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CorporationCode": "sample string 2",
"Key": "sample string 3",
"Value": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:16.6253103-07:00",
"DateUpdated": "2026-06-20T12:49:16.6253103-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCorporationConfigurationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CorporationConfigurationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CorporationCode": "sample string 2",
"Key": "sample string 3",
"Value": "sample string 4",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:49:16.6253103-07:00",
"DateUpdated": "2026-06-20T12:49:16.6253103-07:00",
"UserIDCreated": 8,
"UserIDUpdated": 9,
"CompanyCode": "sample string 10",
"IsExcludeDiscount": true
},
"totalCount": 3
}